Package net.shibboleth.spring.security

# Class SecurityNamespaceHandler

java.lang.Object
net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler
net.shibboleth.spring.security.SecurityNamespaceHandler

All Implemented Interfaces:
  `NamespaceHandler`

public class SecurityNamespaceHandler extends BaseSpringNamespaceHandler
Namespace handler for `SECURITY_NAMESPACE`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`CREDENTIAL_ELEMENT_NAME`
Credential element name.
`static final String`
`SECURITY_NAMESPACE`
Namespace for Security.
`static final QName`
`TRUST_ENGINE_ELEMENT_NAME`
TrustEngine Element name.
`static final QName`
`TRUST_ENGINE_REF`
TrustEngineRef element name.

### Fields inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`SecurityNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`decorate, doInit, findParserForElement, parse, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SECURITY_NAMESPACE

@Nonnull @NotEmpty public static final String SECURITY_NAMESPACE
Namespace for Security.

See Also:
  - Constant Field Values

### CREDENTIAL_ELEMENT_NAME

@Nonnull public static final QName CREDENTIAL_ELEMENT_NAME
Credential element name.

### TRUST_ENGINE_ELEMENT_NAME

@Nonnull public static final QName TRUST_ENGINE_ELEMENT_NAME
TrustEngine Element name.

### TRUST_ENGINE_REF

@Nonnull public static final QName TRUST_ENGINE_REF
TrustEngineRef element name.

## Constructor Details

### SecurityNamespaceHandler

public SecurityNamespaceHandler()

## Method Details

### init

public void init()

Specified by:
  `init` in interface `NamespaceHandler`
Overrides:
  `init` in class `BaseSpringNamespaceHandler`